установка drbl

Модератор: Skull

ska
Сообщения: 202
ОС: ALTLinux School Master

установка drbl

Сообщение ska » 29.10.2010 11:52

Прочитал в каком-то топике про clonezilla. Решил попробовать . На странице установки сервера говорят сначала о загрузке подписи для этого пакета. Выполняю команду

Код: Выделить всё

rm -f GPG-KEY-DRBL; wget http://drbl.org/GPG-KEY-DRBL; rpm --import GPG-KEY-DRBL

ключ скачивает и сохраняет, но не импортирует. В справке rpm нет упоминания об опции --import. Почему тогда разработчики предлагают эту команду?
Спасибо сказали:

Аватара пользователя
romuil
Сообщения: 2095
Статус: Ромунцель
ОС: ALTLinux Sisyphus

Re: установка drbl

Сообщение romuil » 29.10.2010 17:25

Оно из далекого прошлого и уже умерло.
Спасибо сказали:

ska
Сообщения: 202
ОС: ALTLinux School Master

Re: установка drbl

Сообщение ska » 30.10.2010 11:15

Я установил все эти модули и прагмы, а он собака все равно пишет что их нету . Почему?

Код: Выделить всё

@localhost ~]$ sudo rpm -i /home/evggen/drbl-1.9.6-35.i386.rpm
[sudo] password for user:
error: failed dependencies:
        perl(Data::Dumper)   is needed by drbl-1.9.6-35
        perl(Digest::SHA1)   is needed by drbl-1.9.6-35
        perl(Fcntl)   is needed by drbl-1.9.6-35
        perl(File::Path)   is needed by drbl-1.9.6-35
        perl(Getopt::Std)   is needed by drbl-1.9.6-35
        perl(MIME::Base64)   is needed by drbl-1.9.6-35
        perl(Math::BigInt)   is needed by drbl-1.9.6-35
        perl(POSIX)   is needed by drbl-1.9.6-35
        perl(Socket)   is needed by drbl-1.9.6-35
        perl(Term::ANSIColor)   is needed by drbl-1.9.6-35
        perl(bytes)   is needed by drbl-1.9.6-35
        perl(strict)   is needed by drbl-1.9.6-35
        perl(vars)   is needed by drbl-1.9.6-35
Спасибо сказали:

Аватара пользователя
romuil
Сообщения: 2095
Статус: Ромунцель
ОС: ALTLinux Sisyphus

Re: установка drbl

Сообщение romuil » 30.10.2010 11:20

Как именно установил, минуя зависимости?

Код: Выделить всё

 sudo apt-get install /home/evggen/drbl-1.9.6-35.i386.rpm
Спасибо сказали:

ska
Сообщения: 202
ОС: ALTLinux School Master

Re: установка drbl

Сообщение ska » 30.10.2010 11:27

Нет, не минуя. Автоматом, через систему cpan

Код: Выделить всё

@localhost ~]$ sudo apt-get install /home/evggen/drbl-1.9.6-35.i386.rpm
[sudo] password for evggen:
Reading Package Lists... Done
Building Dependency Tree... Done
Selecting drbl for '/home/evggen/drbl-1.9.6-35.i386.rpm'
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.

Since you only requested a single operation it is extremely likely that
the package is simply not installable and a bug report against
that package should be filed.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
  drbl: Depends: perl(Data::Dumper) but it is not installable
        Depends: perl(Digest::SHA1) but it is not installable
        Depends: perl(Fcntl) but it is not installable
        Depends: perl(File::Path) but it is not installable
        Depends: perl(MIME::Base64) but it is not installable
        Depends: perl(Math::BigInt) but it is not installable
        Depends: perl(POSIX) but it is not installable
        Depends: perl(Term::ANSIColor) but it is not installable
        Depends: perl(bytes) but it is not installable
        Depends: perl(vars) but it is not installable
E: Broken packages
Спасибо сказали:

Аватара пользователя
romuil
Сообщения: 2095
Статус: Ромунцель
ОС: ALTLinux Sisyphus

Re: установка drbl

Сообщение romuil » 30.10.2010 11:41

Проблему unmet можно решить только пересборкой пакета в дистрибутивном окружении. С переписыванием SPEC - ты к этому готов?
Спасибо сказали:

ska
Сообщения: 202
ОС: ALTLinux School Master

Re: установка drbl

Сообщение ska » 31.10.2010 05:59

Пересборка пакета - это более-мене понятно. Что значит в дистрибутивном окружении? ) И что значит переписывание SPEC?
Если это касается только пакета drbl, то я готов), если поможешь
Спасибо сказали:

Аватара пользователя
romuil
Сообщения: 2095
Статус: Ромунцель
ОС: ALTLinux Sisyphus

Re: установка drbl

Сообщение romuil » 31.10.2010 10:01

Вечером постараюсь помочь.
Спасибо сказали:

Аватара пользователя
romuil
Сообщения: 2095
Статус: Ромунцель
ОС: ALTLinux Sisyphus

Re: установка drbl

Сообщение romuil » 01.11.2010 19:23

Скачивай srpm
Устанавливай, в ~/RPM/SPECS ищи drbl.spec
Потом читать отсюда и дополнительную информацию в конце статьи.
Спасибо сказали:

ska
Сообщения: 202
ОС: ALTLinux School Master

Re: установка drbl

Сообщение ska » 02.11.2010 04:42

Спасибо.
Собираю пакет в тестовом hasher
Пока не могу разобраться с ошибкой changelog

Код: Выделить всё

@localhost SPECS]$ rpmbsh -i drbl.spec
предупреждение: Unparseable macro: %, we will accept that.

предупреждение: Unparseable macro: %, we will accept that.

add_changelog: drbl.spec: version "1.9.6-alt1" unchanged, skipping
skip changelog editing without EDITOR var
Просто упаковывается drbl-1.9.6-alt1.src.rpm
Платформы для сборки: i586
Сборка для платформы i586
предупреждение: Unparseable macro: %, we will accept that.

Записан: /home/evggen/RPM/SRPMS/drbl-1.9.6-alt1.src.rpm
Список пакетов на пересборку: /home/evggen/RPM/SRPMS/drbl-1.9.6-alt1.src.rpm
Checking with sisyphus_check... with nvr,gpg,packager,buildtime skipping/home/evggen/RPM/SRPMS/drbl-1.9.6-alt1.src.rpm: wrong packager in CHANGELOGNAME: Wasya W <wasya _at_ pochta ru> 1.9.6-alt1
sisyphus_check: check-changelog ERROR: changelog format violation
Error: check for sisyphus failed
Command exited with non-zero status 1
0.20user 0.12system 0:00.32elapsed 99%CPU (0avgtext+0avgdata 0maxresident)k
0inputs+0outputs (0major+59614minor)pagefaults 0swaps
Втр Ноя  2 10:53:39 VLAT 2010
-------------------------------
/home/evggen/RPM/SPECS

Делал так
Установил etersoft-build-utils и hasher, добавил себя в качестве пользователя hasher, изменил .rpmmacros под себя
Установил исходник drbl. Обновил drbl.spec командой rpmcs drbl.spec, после этого в файле drbl.spec Release изменился на alt1, поэтому изменил название искходника с /home/evggen/RPM/SOURCES/drbl-1.9.6-35.tar.bz2 на /home/evggen/RPM/SOURCES/drbl-1.9.6-alt1.tar.bz2. Пришлось еще добавить группу в файл /usr/lib/rpm/GROUPS Development/DRBL
Таким образом осталась одна ошибка с changelog. Насколько я понимаю, что- то я здесь неправильно оформил. )
Спасибо сказали:

Аватара пользователя
Skull
Модератор
Сообщения: 2089
ОС: ALT Linux

Re: установка drbl

Сообщение Skull » 02.11.2010 08:13

ska писал(а):
02.11.2010 04:42
Checking with sisyphus_check... with nvr,gpg,packager,buildtime skipping/home/evggen/RPM/SRPMS/drbl-1.9.6-alt1.src.rpm: wrong packager in CHANGELOGNAME: Wasya W <wasya _at_ pochta ru> 1.9.6-alt1
Тег Packager: такой же указали? Вообще лучше собирать без параноидальных проверок через sisyphus_check:

Код: Выделить всё

rpmbuild -ba drbl.spec


P.S. Менять название архива исходников как раз не нужно. Приставка alt актуальна для спека и RPM-пакета.
Skull
Спасибо сказали:

ska
Сообщения: 202
ОС: ALTLinux School Master

Re: установка drbl

Сообщение ska » 02.11.2010 09:27

Еще раз заново
файл .rpmmacros

Код: Выделить всё

%_topdir    %homedir/RPM
%_tmppath    %homedir/tmp
%_gpg_path    %homedir/.gnupg
%packager    Steven Shiau <steven _at_ nchc org tw>
%_gpg_name    <steven _at_ nchc org tw>

Выполняю rpmcs drbl.spec

Код: Выделить всё

@localhost SPECS]$ rpmcs drbl.spec
Packager: Steven Shiau <steven _at_ nchc org tw>
cleanup_spec for drbl.spec...
исправляем название и релиз...
fix obsoleted constructions...DONE
fix requires...DONE

далее так

Код: Выделить всё

@localhost SPECS]$ rpmbsh -i drbl.spec
предупреждение: Unparseable macro: %, we will accept that.

предупреждение: Unparseable macro: %, we will accept that.

предупреждение: Unparseable macro: %, we will accept that.

skip changelog editing without EDITOR var
Просто упаковывается drbl-1.9.6-alt1.src.rpm
Платформы для сборки: i586
Сборка для платформы i586
ошибка: Файл /home/evggen/RPM/SOURCES/drbl-1.9.6-alt1.tar.bz2: Нет такого файла или каталога
Error: Error with rpmbuild


Т.е. пишет, что нет такого файла (релиз ведь исправился в drbl.spec с 35 на alt1). Поэтому переименовываю исходник на релиз alt1 и снова выполняю

Код: Выделить всё

@localhost SPECS]$ rpmbsh -i drbl.spec
предупреждение: Unparseable macro: %, we will accept that.

предупреждение: Unparseable macro: %, we will accept that.

add_changelog: drbl.spec: version "1.9.6-alt1" unchanged, skipping
skip changelog editing without EDITOR var
Просто упаковывается drbl-1.9.6-alt1.src.rpm
Платформы для сборки: i586
Сборка для платформы i586
предупреждение: Unparseable macro: %, we will accept that.

Записан: /home/evggen/RPM/SRPMS/drbl-1.9.6-alt1.src.rpm
Список пакетов на пересборку: /home/evggen/RPM/SRPMS/drbl-1.9.6-alt1.src.rpm
Checking with sisyphus_check... with nvr,gpg,packager,buildtime skipping/home/evggen/RPM/SRPMS/drbl-1.9.6-alt1.src.rpm: wrong packager in CHANGELOGNAME: Steven Shiau <steven _at_ nchc org tw> 1.9.6-alt1
sisyphus_check: check-changelog ERROR: changelog format violation
Error: check for sisyphus failed
Command exited with non-zero status 1
0.22user 0.09system 0:00.32elapsed 96%CPU (0avgtext+0avgdata 0maxresident)k
0inputs+0outputs (0major+59610minor)pagefaults 0swaps
Втр Ноя  2 16:41:05 VLAT 2010
-------------------------------
/home/evggen/RPM/SPECS
Спасибо сказали:

Аватара пользователя
romuil
Сообщения: 2095
Статус: Ромунцель
ОС: ALTLinux Sisyphus

Re: установка drbl

Сообщение romuil » 02.11.2010 12:01

Попробуй просто включить сборку бинарного пакета

Код: Выделить всё

rpmbuild -bb --target=i586 drbl.spec

Так хотя бы станет понятно соберется пакет или нет.
И покажите содержимое drbl.spec после правок.
Спасибо сказали:

ska
Сообщения: 202
ОС: ALTLinux School Master

Re: установка drbl

Сообщение ska » 02.11.2010 13:17

Код: Выделить всё

@localhost SPECS]$ rpmbuild -bb --target=i586 drbl.spec
Платформы для сборки: i586
Сборка для платформы i586
предупреждение: Unparseable macro: %, we will accept that.

Выполняется(%prep): /bin/sh -e /home/evggen/tmp/rpm-tmp.20762
+ umask 022
+ /bin/mkdir -p /home/evggen/RPM/BUILD
+ cd /home/evggen/RPM/BUILD
+ cd /home/evggen/RPM/BUILD
+ rm -rf drbl-1.9.6-alt1
+ echo 'Source #0 (drbl-1.9.6-alt1.tar.bz2):'
Source #0 (drbl-1.9.6-alt1.tar.bz2):
+ /bin/bzip2 -dc /home/evggen/RPM/SOURCES/drbl-1.9.6-alt1.tar.bz2
+ /bin/tar -xf -
+ cd drbl-1.9.6-alt1
/home/evggen/tmp/rpm-tmp.20762: line 97: cd: drbl-1.9.6-alt1: No such file or directory
ошибка: Неверный код возврата из /home/evggen/tmp/rpm-tmp.20762 (%prep)


Ошибки сборки пакетов:
    Unparseable macro: %, we will accept that.

    Неверный код возврата из /home/evggen/tmp/rpm-tmp.20762 (%prep)


содержимое drbl.spec

Код: Выделить всё

Summary: DRBL (Diskless Remote Boot in Linux) package
Name: drbl
Version: 1.9.6
Release: alt1
License: GPL
Group: Development/DRBL
Packager: Steven Shiau <steven _at_ nchc org tw>

Source: drbl-%version-%release.tar.bz2
Url: http://drbl.nchc.org.tw
ExclusiveArch: %ix86

Requires: perl, bash
Obsoletes: drbl-gdm, drbl-script, drbl-setup, rh-netinstall, mdk-netinstall, woody-netinstall, memtest86, knoppix-terminalserver, partimage-server

%description
DRBL (Diskless Remote Boot in Linux).
Description:
DRBL provides a diskless or systemless environment for client machines. It works on Debian, Ubuntu, Mandriva, Red Hat, Fedora, CentOS and OpenSuSE. DRBL uses distributed hardware resources and makes it possible for clients to fully access local hardware. It also includes Clonezilla, a partition and disk cloning utility similar to Symantec Ghost(TM) or True Image(TM).
For more details, check
1. http://drbl.sourceforge.net (English)
2. http://drbl.nchc.org.tw (Chinese Big5 - Taiwan)

%prep
%setup -q -n drbl-%version-%release

%build
make all

%install
[ -d "%buildroot" ] && rm -rf %buildroot
%make_install install prefix=%buildroot/

%post
%preun
%files
/opt/drbl/setup/*
/opt/drbl/conf/*
/opt/drbl/lang/*
/opt/drbl/pkg/*
/opt/drbl/pki/*
/opt/drbl/image/*
/opt/drbl/doc/*
/opt/drbl/sbin/*
/opt/drbl/bin/*
%_datadir/gdm/themes/drbl-gdm/*

%changelog
* Tue Nov 02 2010 Steven Shiau <steven _at_ nchc org tw> 1.9.6-alt1
- new version

* Tue Nov 02 2010 Steven Shiau <steven _at_ nchc org tw> 1.9.6-35
- new version

* Tue Nov 02 2010 Steven Shiau <steven _at_ nchc org tw> 1.9.6-35
- new version

* Tue Nov 02 2010 Steven Shiau <steven _at_ nchc org tw> 1.9.6-alt1
- new version

* Tue Nov 02 2010 Steven Shiau <steven _at_ nchc org tw> 1.9.6-35
- new version

* Thu Jul 15 2010 Steven Shiau <steven _at_ nchc org tw> 1.9.6-35
- Language files fr_FR was updated. Thanks to Jean Francois Martinez <jfm512 _at_ free fr>
- Language file es_ES of perl was updated. Thanks to Juan Ramуn Martнnez.

* Sat Jun 27 2010 Steven Shiau <steven _at_ nchc org tw> 1.9.6-34
- Put package drbl-ntfsprogs only for DRBL, not for Clonezilla live, since for Clonezilla live, it's better to use ntfsprogs, otherwise the 32-bit drbl-ntfsprogs won't work in pure amd64 Clonezilla live.

последние записи в changelog убрал - слишком много
Спасибо сказали:

Аватара пользователя
romuil
Сообщения: 2095
Статус: Ромунцель
ОС: ALTLinux Sisyphus

Re: установка drbl

Сообщение romuil » 02.11.2010 14:04

Рекомендую найти примеры spec на вики и переписать секцию files
home/evggen/tmp/rpm-tmp.20762: line 97: cd: drbl-1.9.6-alt1: No such file or directory

Перепакуйте архив с исходниками. Внутри тарбола имя каталога отличное от drbl-1.9.6-alt1
Спасибо сказали:

ska
Сообщения: 202
ОС: ALTLinux School Master

Re: установка drbl

Сообщение ska » 02.11.2010 14:55

romuil писал(а):
02.11.2010 14:04
Рекомендую найти примеры spec на вики и переписать секцию files

Оставил как есть пока, посмотреть, что будет ) той же командой rpmbuild -bb --target=i586 drbl.spec
в конце выдало вот это

Код: Выделить всё

/home/evggen/tmp/drbl-buildroot/opt/drbl/lang/bash/zh_TW.BIG5: line 636: syntax error near unexpected token `('
/home/evggen/tmp/drbl-buildroot/opt/drbl/lang/bash/zh_TW.BIG5: line 636: `msg_do_you_want_to_clean_all_stale_mac_cfg="?b$PXELINUX_DIR ?U?o?{?Y??w?g?s?b??MAC????pxelinux?M????]?w??A?M??????bdhcpd.conf???S???????????IP???}?A??H??L?k???IP???}????A?M????????Є??]?w??C?A?O?_?n?M???o???Є?MAC????pxelinux?M????]?w??? ?`?N! ?p?G?A?^???O????A???i???|?v?T?????L?????????C?p?G?A???b?G???L??????A?^???O?O?S???Y???A?????A?`?O?i?H??dcs??????????????C???(1)?A?H???n?o???????????????e?A????dcs?Nclonezilla????????C(2)??q???MAC???}??????]?wdhcpd.conf?C"'
shell.req: ERROR: /home/evggen/tmp/drbl-buildroot/opt/drbl/lang/bash/zh_TW.BIG5: /bin/bash --rpm-requires failed
find-requires: ERROR: /usr/lib/rpm/shell.req failed
??????: /bin/sh ?? ???????
??????: ?????????? ????? Requires


?????? ?????? ???????:
    Unparseable macro: %, we will accept that.

    /bin/sh ?? ???????
    ?????????? ????? Requires
Спасибо сказали:

Аватара пользователя
Skull
Модератор
Сообщения: 2089
ОС: ALT Linux

Re: установка drbl

Сообщение Skull » 02.11.2010 15:08

romuil писал(а):
02.11.2010 14:04
Рекомендую найти примеры spec на вики и переписать секцию files
home/evggen/tmp/rpm-tmp.20762: line 97: cd: drbl-1.9.6-alt1: No such file or directory

Перепакуйте архив с исходниками. Внутри тарбола имя каталога отличное от drbl-1.9.6-alt1
Он зачем-то релиз вставил в

Код: Выделить всё

Source: drbl-%version-%release.tar.bz2

надо убрать -%release и не мучаться

ska писал(а):
02.11.2010 14:55
?????? ?????? ???????:
Попробуй перед командой указать:

Код: Выделить всё

LC_ALL=C


Был бы git - уже давно бы поправили.
Skull
Спасибо сказали:

ska
Сообщения: 202
ОС: ALTLinux School Master

Re: установка drbl

Сообщение ska » 10.11.2010 10:37

Убрал релиз и выполнил с такой командой LC_ALL=C rpmbuild -bb --target=i586 drbl.spec

в конце получил такие сообщения

Код: Выделить всё

shebang.req.files: executable script /home/evggen/tmp/drbl-buildroot/opt/drbl/lang/bash/en_US is not executable
shebang.req.files: executable script /home/evggen/tmp/drbl-buildroot/opt/drbl/lang/bash/es_ES is not executable
shebang.req.files: executable script /home/evggen/tmp/drbl-buildroot/opt/drbl/lang/bash/fr_FR is not executable
shebang.req.files: executable script /home/evggen/tmp/drbl-buildroot/opt/drbl/lang/bash/it_IT is not executable
shebang.req.files: executable script /home/evggen/tmp/drbl-buildroot/opt/drbl/lang/bash/ja_JP.UTF-8 is not executable
shebang.req.files: executable script /home/evggen/tmp/drbl-buildroot/opt/drbl/lang/bash/zh_CN.UTF-8 is not executable
shebang.req.files: executable script /home/evggen/tmp/drbl-buildroot/opt/drbl/lang/bash/zh_TW.BIG5 is not executable
shebang.req.files: executable script /home/evggen/tmp/drbl-buildroot/opt/drbl/lang/bash/zh_TW.UTF-8 is not executable
shebang.req.files: executable script /home/evggen/tmp/drbl-buildroot/opt/drbl/pkg/syslinux/makeboot.sh is not executable
shebang.req.files: executable script /home/evggen/tmp/drbl-buildroot/opt/drbl/setup/files/DSL/2.2b/linuxrc.DSL-2.2b.drbl is not executable
shebang.req.files: executable script /home/evggen/tmp/drbl-buildroot/opt/drbl/setup/files/DSL/3.0.1/linuxrc.DSL-3.0.1.drbl is not executable
shebang.req.files: executable script /home/evggen/tmp/drbl-buildroot/opt/drbl/setup/files/DSL/3.1/linuxrc.DSL-3.1.drbl is not executable
shebang.req.files: executable script /home/evggen/tmp/drbl-buildroot/opt/drbl/setup/files/DSL/4.0/linuxrc.DSL-40a2.drbl is not executable
shebang.req.files: executable script /home/evggen/tmp/drbl-buildroot/opt/drbl/setup/files/DSL/4.4.10/linuxrc.DSL-4.4.10.drbl is not executable
shebang.req.files: executable script /home/evggen/tmp/drbl-buildroot/opt/drbl/setup/files/DSL/default/linuxrc.DSL-default.drbl is not executable
shebang.req.files: executable script /home/evggen/tmp/drbl-buildroot/opt/drbl/setup/files/INSERT/default/linuxrc.INSERT-default.drbl is not executable
shebang.req.files: executable script /home/evggen/tmp/drbl-buildroot/opt/drbl/setup/files/PUD-Linux/0.4.6.10/casper.PUD-Linux-0.4.6.10.drbl is not executable
shebang.req.files: executable script /home/evggen/tmp/drbl-buildroot/opt/drbl/setup/files/PuppyLinux/211/linuxrc.PuppyLinux-211.drbl is not executable
shebang.req.files: executable script /home/evggen/tmp/drbl-buildroot/opt/drbl/setup/files/PuppyLinux/212/linuxrc.PuppyLinux-212.drbl is not executable
shebang.req.files: executable script /home/evggen/tmp/drbl-buildroot/opt/drbl/setup/files/PuppyLinux/213/linuxrc.PuppyLinux-213.drbl is not executable
shebang.req.files: executable script /home/evggen/tmp/drbl-buildroot/opt/drbl/setup/files/PuppyLinux/214/linuxrc.PuppyLinux-214.drbl is not executable
shebang.req.files: executable script /home/evggen/tmp/drbl-buildroot/opt/drbl/setup/files/PuppyLinux/default/linuxrc.PuppyLinux-default.drbl is not executable
/home/evggen/tmp/drbl-buildroot/opt/drbl/lang/bash/zh_TW.BIG5: line 636: syntax error near unexpected token `('
/home/evggen/tmp/drbl-buildroot/opt/drbl/lang/bash/zh_TW.BIG5: line 636: `msg_do_you_want_to_clean_all_stale_mac_cfg="?b$PXELINUX_DIR ?U?o?{?Y??w?g?s?b??MAC????pxelinux?M????]?w??A?M??????bdhcpd.conf???S???????????IP???}?A??H??L?k???IP???}????A?M????????ª??]?w??C?A?O?_?n?M???o???ª?MAC????pxelinux?M????]?w??? ?`?N! ?p?G?A?^???O????A???i???|?v?T?????L?????????C?p?G?A???b?G???L??????A?^???O?O?S???Y???A?????A?`?O?i?H??dcs??????????????C???(1)?A?H???n?o???????????????e?A????dcs?Nclonezilla????????C(2)??q???MAC???}??????]?wdhcpd.conf?C"'
shell.req: ERROR: /home/evggen/tmp/drbl-buildroot/opt/drbl/lang/bash/zh_TW.BIG5: /bin/bash --rpm-requires failed
find-requires: ERROR: /usr/lib/rpm/shell.req failed
error: /bin/sh failed
error: Failed to find Requires


RPM build errors:
    Unparseable macro: %, we will accept that.

    /bin/sh failed
    Failed to find Requires
Спасибо сказали:

Аватара пользователя
Skull
Модератор
Сообщения: 2089
ОС: ALT Linux

Re: установка drbl

Сообщение Skull » 10.11.2010 18:38

Код: Выделить всё

AutoReq: yes, noshell
в спеке
Skull
Спасибо сказали:

ska
Сообщения: 202
ОС: ALTLinux School Master

Re: установка drbl

Сообщение ska » 11.11.2010 10:05

Да, таким образом все собралось и затем установил через apt-get install. Если не затруднит, можно узнать, в связи с чем были ошибки выше?
Спасибо сказали:

Аватара пользователя
Skull
Модератор
Сообщения: 2089
ОС: ALT Linux

Re: установка drbl

Сообщение Skull » 11.11.2010 12:33

ska писал(а):
11.11.2010 10:05
Да, таким образом все собралось и затем установил через apt-get install. Если не затруднит, можно узнать, в связи с чем были ошибки выше?
В ALT Linux повышенные требования к проверке пакетов и зависимости генерируются автоматически. Для этого и запускается скрипт проверки шелл-скриптов: http://www.altlinux.org/SpecTips/Requires
http://lists.altlinux.org/pipermail/devel/...rch/136173.html
Skull
Спасибо сказали: